package com.ruoyi.warehouseBusiness.service;


import com.ruoyi.finance.excel.FleetExcel;
import com.ruoyi.warehouseBusiness.domain.TWarehousebillsfees;

import java.util.List;
import java.util.Map;

/**
 * 仓库费用明细Service接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface ITWarehousebillsfeesService {
    /**
     * 查询仓库费用明细
     *
     * @param fId 仓库费用明细ID
     * @return 仓库费用明细
     */
    public TWarehousebillsfees selectTWarehousebillsfeesById(Long fId);

    /**
     * 查询仓库费用明细列表
     *
     * @param tWarehousebillsfees 仓库费用明细
     * @return 仓库费用明细集合
     */
    public List<TWarehousebillsfees> selectTWarehousebillsfeesList(TWarehousebillsfees tWarehousebillsfees);

    /**
     * 新增仓库费用明细
     *
     * @param tWarehousebillsfees 仓库费用明细
     * @return 结果
     */
    public int insertTWarehousebillsfees(TWarehousebillsfees tWarehousebillsfees);

    /**
     * 修改仓库费用明细
     *
     * @param tWarehousebillsfees 仓库费用明细
     * @return 结果
     */
    public int updateTWarehousebillsfees(TWarehousebillsfees tWarehousebillsfees);

    /**
     * 批量删除仓库费用明细
     *
     * @param fIds 需要删除的仓库费用明细ID
     * @return 结果
     */
    public int deleteTWarehousebillsfeesByIds(Long[] fIds);

    /**
     * 删除仓库费用明细信息
     *
     * @param fId 仓库费用明细ID
     * @return 结果
     */
    public int deleteTWarehousebillsfeesById(Long fId);

    /**
     *  查询报表
     * @param tWarehousebillsfees
     * @return
     */
    public List<FleetExcel> selectFleetExcelList(TWarehousebillsfees tWarehousebillsfees);

    /**
     *  查询报表合计
     * @param fleetExcelsList
     * @return
     */
    public List<String> selectFleetExcel(List<FleetExcel> fleetExcelsList);
    /**
     * 首页应收款排名
     * @return
     */
    public List<Map<String,Object>> accountsDue();
}
